<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.HardwareVarMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.HardwareVar">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="power_supply" property="powerSupply" />
        <result column="sense_length" property="senseLength" />
        <result column="scan_length" property="scanLength" />
        <result column="paper_type" property="paperType" />
        <result column="paper_norms" property="paperNorms" />
        <result column="sense_count" property="senseCount" />
        <result column="scan_count" property="scanCount" />
        <result column="paper_surplus" property="paperSurplus" />
        <result column="paper_count" property="paperCount" />
        <result column="sn_code" property="snCode" />
        <result column="hardware_id" property="hardwareId" />
        <result column="rfid" property="rfid" />
        <result column="paper_state" property="paperState" />
        <result column="power_state" property="powerState" />
        <result column="use_state" property="useState" />
        <result column="position_state" property="positionState" />
        <result column="bluetooth_mac" property="bluetoothMac" />
        <result column="imsi" property="imsi" />
        <result column="bluetooth_name" property="bluetoothName" />
        <result column="lock_state" property="lockState" />
        <result column="clean_rfid_count" property="cleanRfidCount" />
        <result column="project_model" property="projectModel" />
        <result column="paper_out_state" property="paperOutState" />
        <result column="full_roll_flag" property="fullRollFlag" />
        <result column="calibrat_flag" property="calibratFlag" />
        <result column="middle_flag" property="middleFlag" />
        <result column="lower_flag" property="lowerFlag" />
        <result column="paper_lock_flag" property="paperLockFlag" />
        <result column="middle_fault_flag" property="middleFaultFlag" />
        <result column="lower_fault_flag" property="lowerFaultFlag" />
        <result column="paper_lock_count" property="paperLockCount" />
        <result column="illegal_paper_disable" property="illegalPaperDisable" />
        <result column="illegal_paper_disable_state" property="illegalPaperDisableState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, power_supply, sense_length, scan_length, paper_type, paper_norms, sense_count, scan_count, paper_surplus, paper_count, sn_code, hardware_id, rfid, paper_state, power_state, use_state, position_state, bluetooth_mac, imsi, bluetooth_name, lock_state, clean_rfid_count, project_model, paper_out_state, full_roll_flag, calibrat_flag, middle_flag, lower_flag, paper_lock_flag, middle_fault_flag, lower_fault_flag, paper_lock_count, illegal_paper_disable, illegal_paper_disable_state
    </sql>

</mapper>
